#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           arianna
Version: 24.08.0
Release:        %mkrel %{rel}
Summary:        Ebook reader and library management app
License:        GPL-3.0-only
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/arianna/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6HttpServer)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6WebSockets)
BuildRequires:  cmake(Qt6WebChannel)
BuildRequires:  cmake(Qt6WebEngineQuick)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Kirigami2)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6FileMetaData)
BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6QuickCharts)
BuildRequires:  cmake(KF6KirigamiAddons) >= 0.11
BuildRequires:  cmake(KF6QQC2DesktopStyle)
BuildRequires:  cmake(KF6Baloo)

BuildRequires:  reuse

Requires:       kirigami
Requires:       kirigami-addons
Requires:       kquickcharts
Requires:       qt6-database-plugin-sqlite

%description
An ebook reader and library management app supporting ".epub" files.
Arianna discovers your books automatically, and sorts them by
categories, genres and authors.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_categoriesdir}/arianna.categories
%{_kf6_bindir}/arianna
%{_kf6_applicationsdir}/org.kde.arianna.desktop
%{_kf6_metainfodir}/org.kde.arianna.appdata.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.arianna.svg

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087510
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2084991
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073114
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069706
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058515
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045059
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037560
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033693
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025032
- New version 24.01.85

* Thu Nov 23 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2009285
- New version 24.01.75

* Mon Oct 02 2023 daviddavid <daviddavid> 23.08.1-2.mga10
+ Revision: 1992959
- enable KF5QuickCharts support and reusetool support

* Tue Sep 26 2023 daviddavid <daviddavid> 23.08.1-1.mga10
+ Revision: 1990974
- initial package arianna (says hello to kde-application stack)

